<?php
session_start();
define('BASE_PATH', dirname(__FILE__));

require 'model/AltoRouter.php';
$router = new AltoRouter();

//لیست آدرس دهی ها
$router->map('GET', '/', 'home.php', 'home');
$router->map('GET', '/products', 'products.php', 'products');
$router->map('GET', '/product/[i:id]', 'product-detail.php', 'product-detail');
$router->map('GET|POST', '/cart', 'cart.php', 'cart');
$router->map('GET|POST', '/checkout', 'checkout.php', 'checkout');
$router->map('GET|POST', '/login', 'login.php', 'login');
$router->map('GET|POST', '/register', 'register.php', 'register');
$router->map('GET', '/my-account', 'user-account.php', 'my-account');
$router->map('GET', '/my-orders', 'user-orders.php', 'my-orders');
$router->map('GET|POST', '/my-settings', 'user-settings.php', 'my-settings');

$match = $router->match();

if ($match) {
    
    include 'model/DB.php';
    //اگر پارامتر هایی به همراه آدرس ارسال شده باشند آنها را در یک متغیر میریزیم
    $parameters = $match['params'];
    require 'controller/' . $match['target'];
} else {
    header("HTTP/1.0 404 Not Found");
    header("location: /404");
}

