<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>صورت حساب</title>
    <?php include 'head.php';  ?>
</head>
<body>
    <?php include "header.php" ?>
    <?php include "sidebar.php" ?>
    <form action="" method="post">
    <div class="container pt-5">
        <div class="row">
            <div class="col-md-7">
                <div class="card p-3">
                    <h3>فرم صورت حساب</h3>
                    <input type="text" required class="form-control" name="firstname" id="firstname" placeholder="نام">
                    <input type="text" required class="form-control" name="lastname" id="firstname" placeholder="نام خانوادگی">
                    <input type="text" required class="form-control" name="city" id="firstname" placeholder="شهر">
                    <input type="text" required class="form-control" name="address" id="firstname" placeholder="آدرس">
                    <input type="text" required class="form-control" name="phonenumber" id="firstname" placeholder="تلفن">
                </div>
            </div>
            <div class="col-md-5">
            <div class="card p-2">
            <table class="table table-striped">
                <thead>
                    <tr>
                        <th>ردیف</th>
                        <th>نام محصول</th>
                        <th>تعداد</th>
                        <th>قیمت تکی</th>
                        <th>قیمت کل</th>
                    </tr>
                </thead>
                <tbody>
                    <?php
                    $i = 1;
                    $total_price = 0;
                    foreach($products as $product) {
                        $total_price += $product['price'] * $_SESSION['cart'][$product['id']];
                        ?>
                        <tr>
                            <td><?= $i ?></td>
                            <td><?= $product['title'] ?></td>
                            <td><?= $_SESSION['cart'][$product['id']] ?></td>
                            <td><?= $product['price'] ?></td>
                            <td><?= $product['price']*$_SESSION['cart'][$product['id']] ?></td>
                        </tr>
                        <?php
                        $i++;
                    }
                    ?>
                    <tr style="border-top: 2px solid gray;" class="mt-2">
                        <td>جمع کل</td>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td><?= $total_price ?></td>
                    </tr>
                </tbody>
            </table>
            <!-- کد نویسی بخش پرداخت و اتصال به درگاه بانکی به زودی افزوده خواهد شد -->
            <button type="submit" class="btn btn-success" name="pay">پرداخت</button>
        </div>
            </div>
        </div>
        
    </div>
    </form>
    <?php include 'scripts.php';  ?>
</body>
</html>