<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?= $product['title'] ?></title>
    <?php include 'head.php';  ?>
</head>
<body>
    <?php include "header.php" ?>
    <?php include "sidebar.php" ?>
    <div class="container">
        
        <div class="card p-2">
            <h3><a href="/product/<?= $product['id'] ?>">
            <?= $product['title'] ?></a></h3>
            <img src="<?= $product['image_url'] ?>" alt="<?= $product['title'] ?>" style="width: 50%">
            <p><?= $product['description'] ?></p>
            <span><?= number_format($product['price']) ?> تومان</span>
            <form action="/cart" method="post">
                <input type="hidden" name="product_id" value="<?= $product['id'] ?>">
                <input type="number" name="quantity" id="quantity" min="1" value="1"> تعداد
                <button type="submit" name="add_to_cart">افزودن به سبد خرید</button>
            </form>
        </div>
                
    </div>
    <?php include 'scripts.php';  ?>
</body>
</html>