<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>لیست سفارشات</title>
    <?php include 'head.php';  ?>
</head>
<body>
    <?php include "header.php" ?>
    <?php include "sidebar.php" ?>
    <div class="container">
        <!-- لیست محصولات -->
        <div class="row">
            <?php
            foreach($products as $product) {
                ?>
                <div class="col-md-4">
                    <div class="card p-2">
                        <a href="/product/<?= $product['id'] ?>">
                            <img src="<?= $product['image_url'] ?>" alt="<?= $product['title'] ?>" style="width: 100%">
                            <h3><?= $product['title'] ?></h3>
                            <p><?= $product['description'] ?></p>
                            <span><?= number_format($product['price']) ?> تومان</span>
                        </a>
                    </div>
                </div>
                <?php
            }
            ?>
            
        </div>
    </div>
 
    
    <!-- صفحه بندی -->
    <div class="pagination">
        <?php
        for($i=1; $i< ($total_pages + 1); $i++) {
            ?>
            <a href="/products?page=<?= $i ?>" class="<?= ($page == $i)?'active':'' ?>"><?= $i ?></a>
            <?php
        }
        ?>
    </div>
    <?php include 'scripts.php';  ?>
</body>
</html>