<?php

include BASE_PATH."/model/Products.php";

if(isset($_POST['add_to_cart'])) {
    $product_id = $_POST['product_id'];
    $quantity = (isset($_POST['quantity']))?$_POST['quantity']:1;

    if(!isset($_SESSION['cart'])) $_SESSION['cart'] = [];
    if(!isset($_SESSION['cart'][$product_id])) {
        $_SESSION['cart'][$product_id] = $quantity;
    } else {
        $_SESSION['cart'][$product_id] = $_SESSION['cart'][$product_id] + $quantity;
    }

    //برای جلوگیری از ارسال دوباره اطلاعات هنگام رفرش صفحه توسط کاربر، یکبار صفحه را به صورت زیر رفرش می کنیم
    header("Refresh: 0");
} elseif(isset($_POST['change_quantity'])) {
    $product_id = $_POST['product_id'];
    $_SESSION['cart'][$product_id] = $_POST['quantity'];

    //برای جلوگیری از ارسال دوباره اطلاعات هنگام رفرش صفحه توسط کاربر، یکبار صفحه را به صورت زیر رفرش می کنیم
    header("Refresh: 0");
} elseif(isset($_POST['delete'])) {
    $product_id = $_POST['product_id'];
    unset($_SESSION['cart'][$product_id]);

    //برای جلوگیری از ارسال دوباره اطلاعات هنگام رفرش صفحه توسط کاربر، یکبار صفحه را به صورت زیر رفرش می کنیم
    header("Refresh: 0");
}


if(isset($_SESSION['cart']) && !empty($_SESSION['cart'])) {
    $products = get_products([
        'ids' => array_keys($_SESSION['cart'])
    ]);
} else {
    $products = [];
}


include BASE_PATH."/view/cart.php";