<?php

function get_products($args = null){

    $args = array_merge(get_default_product_args(), $args);
    extract($args); //این تابع تمام اعضای آرایه را به متغیر تبدیل می کند

    $dbc = $GLOBALS['dbc'];
    if($limit) { // اگر صفر نبود، یعنی محدوده ی مشخص درخواست شده است
        $num = "LIMIT $limit OFFSET $offset";
    }
    $where = '';
    if(!empty($args['ids'])) {

        $where = 'WHERE id IN ('.implode(',',$args['ids']).')';
    }
    $products = mysqli_query($dbc, "SELECT * FROM products $where ORDER BY $sortby $order $num");
    $result = [];
    while($row = mysqli_fetch_array($products)) {
        $result[] = $row;
    }

    return $result;
}

//تعداد کل محصولات
function get_all_products_num() {
    $dbc = $GLOBALS['dbc'];
    $products = mysqli_query($dbc, "SELECT * FROM products");
    return mysqli_num_rows($products);
}

function get_default_product_args(){
    return [
        'limit' => 20,
        'offset' => 0,
        'sortby' => 'id',
        'order' => 'DESC',
        'ids' => []
    ];
}

function get_product($product_id) {
    $dbc = $GLOBALS['dbc'];
  
    $product = mysqli_query($dbc, "SELECT * FROM products WHERE id = $product_id");
    return mysqli_fetch_array($product);
}

//ویرایش محصول که در برنامه نویسی پنل مدیریت استفاده می شود
function edit_product($info, $product_id) {
    $dbc = $GLOBALS['dbc'];
    $update = '';
    $first = true;
    foreach($info as $key => $value) {
        if(!$first) {
            $update .= ', ';
        } else {
            $first = false;
        }
        $update .= $key." = '$value'";
        
    }

    mysqli_query($dbc, "UPDATE products SET $update WHERE id = $product_id");
}

//حذف محصول که در برنامه نویسی پنل مدیریت استفاده می شود
function delete_product($product_id) {
    $dbc = $GLOBALS['dbc'];
    mysqli_query($dbc, "DELETE FROM products WHERE id = $product_id");
}