<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>سبد خرید</title>
    <?php include 'head.php';  ?>
</head>
<body>
    <?php include "header.php" ?>
    <?php include "sidebar.php" ?>
    <div class="container">
        
        <div class="card p-2 mt-5">
            <?php
            if(empty($products)) {
                echo 'سبد خرید شما خالی است.';
            } else {
                ?>
                <table class="table table-striped">
                    <thead>
                        <tr>
                            <th>ردیف</th>
                            <th>نام محصول</th>
                            <th>تعداد</th>
                            <th>قیمت تکی</th>
                            <th>قیمت کل</th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php
                        $i = 1;
                        $total_price = 0;
                        foreach($products as $product) {
                            $total_price += $product['price'] * $_SESSION['cart'][$product['id']];
                            ?>
                            <tr>
                                <td><?= $i ?></td>
                                <td><?= $product['title'] ?></td>
                                <td>
                                    <form action="" method="post">
                                        <input type="hidden" name="product_id" value="<?= $product['id'] ?>">
                                        <input type="number" name="quantity" value="<?= $_SESSION['cart'][$product['id']] ?>">
                                        <button type="submit" name="change_quantity">ویرایش تعداد</button>
                                    </form>    
                                </td>
                                <td><?= $product['price'] ?></td>
                                <td><?= $product['price']*$_SESSION['cart'][$product['id']] ?></td>
                                <td>
                                <form action="" method="post">
                                    <input type="hidden" name="product_id" value="<?= $product['id'] ?>">
                                    <button type="submit" name="delete">حذف</button>
                                </form>   
                                </td>
                            </tr>
                            <?php
                            $i++;
                        }
                        ?>
                        
                        <tr style="border-top: 2px solid gray;" class="mt-2">
                            <td>جمع کل</td>
                            <td></td>
                            <td></td>
                            <td></td>
                            <td><?= $total_price ?></td>
                            <td><a href="/checkout" class="btn btn-success float-left">تسویه حساب</a></td>
                        </tr>
                    </tbody>
                </table>
                
            <?php
            }
            ?>
        </div>
        <a href="/">بازگشت به فروشگاه</a>  
    </div>
    <?php include 'scripts.php';  ?>
</body>
</html>